> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Trust Validation

> Creates a trust validation for a trust flow. Use the returned trustValidationId on verification calls.



## OpenAPI

````yaml api-reference/openapi.json POST /api/v3/processes/create-trust-validation
openapi: 3.0.3
info:
  title: IDmeta API
  description: IDmeta verification and integration API.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    description: Your environment (replace `{environment-subdomain}`)
    variables:
      environment-subdomain:
        default: integrate
        description: IDmeta environment subdomain
security:
  - bearerAuth: []
tags:
  - name: Processes
    description: Verification process endpoints
  - name: Trust Flow Links
    description: Trust Flow link generation endpoints
  - name: Compliance
    description: Compliance verification endpoints
  - name: Government Data
    description: Government data verification endpoints
  - name: Alternative Verifications
    description: Alternative verification and intelligence endpoints
  - name: OCR
    description: Document OCR extraction endpoints
paths:
  /api/v3/processes/create-trust-validation:
    post:
      tags:
        - Processes
      summary: Create Trust Validation
      description: >-
        Creates a new trust validation for a trust flow. Returns a
        `trustValidationId` to use on subsequent verification calls.
      operationId: createTrustValidationV3
      parameters:
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTrustValidationV3Request'
            examples:
              default:
                summary: Trust flow with optional metadata
                value:
                  trustFlowId: 0
                  metadata:
                    key: value
      responses:
        '200':
          description: Trust validation created successfully
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTrustValidationV3Response'
              example:
                success: true
                message: Trust validation created successfully
                trustValidationId: '{your_trust_validation_id}'
                trustFlowId: 0
                verifications:
                  - document_verification
                  - aml
components:
  schemas:
    CreateTrustValidationV3Request:
      type: object
      required:
        - trustFlowId
      properties:
        trustFlowId:
          type: integer
          description: Trust flow identifier for the validation session to create.
        metadata:
          type: object
          additionalProperties: true
          description: >-
            Optional key-value metadata to attach to the trust validation
            session.
    CreateTrustValidationV3Response:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        trustValidationId:
          type: string
          description: >-
            Use this value as `trustValidationId` on verification API calls for
            this session.
        trustFlowId:
          type: integer
          description: Trust flow identifier.
        verifications:
          type: array
          items:
            type: string
          description: >-
            Verification types enabled for this trust flow (for example
            document_verification, aml).
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````